> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Integration

> Get integration for the specified provider.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json get /workspaces/{workspace_id}/integrations/{provider_id}
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /workspaces/{workspace_id}/integrations/{provider_id}:
    get:
      tags:
        - integrations
      summary: Get Integration
      description: Get integration for the specified provider.
      operationId: integrations-get_integration
      parameters:
        - name: workspace_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Workspace Id
        - name: provider_id
          in: path
          required: true
          schema:
            type: string
            title: Provider Id
        - name: grant_type
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/OAuthGrantType'
            default: authorization_code
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationRead'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyCookie: []
        - ServiceAccountApiKeyBearer: []
components:
  schemas:
    OAuthGrantType:
      type: string
      enum:
        - authorization_code
        - client_credentials
      title: OAuthGrantType
      description: Grant type for OAuth 2.0.
    IntegrationRead:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        user_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: User Id
        provider_id:
          type: string
          title: Provider Id
        authorization_endpoint:
          anyOf:
            - type: string
            - type: 'null'
          title: Authorization Endpoint
          description: OAuth authorization endpoint configured for this integration.
        token_endpoint:
          anyOf:
            - type: string
            - type: 'null'
          title: Token Endpoint
          description: OAuth token endpoint configured for this integration.
        token_type:
          type: string
          title: Token Type
        expires_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expires At
        client_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Client Id
          description: OAuth client ID for the provider
        granted_scopes:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Granted Scopes
          description: OAuth scopes granted for this integration
        requested_scopes:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Requested Scopes
          description: OAuth scopes requested by user for this integration
        status:
          $ref: '#/components/schemas/IntegrationStatus'
        is_expired:
          type: boolean
          title: Is Expired
      type: object
      required:
        - id
        - created_at
        - updated_at
        - provider_id
        - token_type
        - expires_at
        - status
        - is_expired
      title: IntegrationRead
      description: Response model for user integration.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    IntegrationStatus:
      type: string
      enum:
        - not_configured
        - configured
        - connected
      title: IntegrationStatus
      description: Status of an integration.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth
    ServiceAccountApiKeyBearer:
      type: http
      description: Tracecat service account API key.
      scheme: bearer

````